NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Properties | List of all members
NXOpen.Layout2d.NewComponentBuilder Class Reference

Represents a Builder for New 2D Component functionality which will create an empty 2D Component instance and stores its definition in the local 2D Component folder More...

Inheritance diagram for NXOpen.Layout2d.NewComponentBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Properties

unsafe NXOpen.NXObject Owner [get, set]
 Returns or sets the owner to create the 2D Component, can be either a drawing sheet, a drawing view a sketch or a 2D Component More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Builder for New 2D Component functionality which will create an empty 2D Component instance and stores its definition in the local 2D Component folder

To create a new instance of this class, use NXOpen.Layout2d.ComponentCollection.CreateNewComponentBuilder

Created in NX10.0.0

Property Documentation

unsafe NXOpen.NXObject NXOpen.Layout2d.NewComponentBuilder.Owner
getset

Returns or sets the owner to create the 2D Component, can be either a drawing sheet, a drawing view a sketch or a 2D Component

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_layout ("NX Layout")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.